Pregunta sobre Gravity Forms Constant Contact de Wordpress:

Errores de incompatibilidad de PHP 7

Un usuario pregunt贸 馃憞

Buen d铆a,

Vi a otros en la publicaci贸n hace muchos meses sobre esto, pero lo estoy renunciando nuevamente. Los errores (atascados en la parte inferior) se eliminan con este plugin, as铆 como con su plugin Constant Contact para WordPress (es decir, el plugin Gravity Forms y el plugin normal).

Alguien dijo que es una funci贸n no utilizada, pero que, sin embargo, deber铆a limpiarse. Brindo mantenimiento a mis clientes y cuando ven estos errores en los informes que proporciono, cuestionan MI competencia.

驴Podr铆a solucionarse esto en la pr贸xima actualizaci贸n de ambos plugins? Tambi茅n publicar茅 en el otro foro de soporte. 隆Gracias!

ERRORES: ARCHIVO: /home/xxxxxxxx/public_html/wp-content/plugins/gravity-forms-constant-contact/api/cc_class.php 鈥斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺 鈥斺斺斺斺斺斺斺斺斺斺斺斺斺 SE ENCONTRARON 2 ERRORES QUE AFECTAN 1 L脥NEA 鈥斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺 鈥斺斺斺斺- 82 | ERROR | La funci贸n eregi () no se informa desde PHP 5.3 y se ha eliminado de PHP 7.0; use preg_match en su lugar ERROR | La extensi贸n ‘Ereg’ no se deprecia de PHP 5.3 y se elimina de PHP 7.0; use pcre en su lugar. 鈥斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺斺

(@bozzmedia)

Hace 3 a帽os, 2 meses

Las mismas preocupaciones aqu铆. Una actualizaci贸n sobre la compatibilidad con PHP 7. 隆Gracias!

(@bozzmedia)

Hace 3 a帽os, 2 meses

Los cambios parecen triviales. Deber铆a ser sencillo. M谩s informaci贸n aqu铆: https://stackoverflow.com/questions/13580784/deprecated-function-ereg-is-deprecated

(@fluidezstudio)

Hace 3 a帽os, 1 mes

El c贸digo debe arreglarse mediante reemplazo

ereg (鈥淾[_a-z0-9-]+ (.[_a-z0-9-]+) * @[a-z0-9-]+ (.[a-z0-9-]+) * (.[a-z]{2,3}) $ 鈥, $ correo electr贸nico);

y:

preg_match (‘/ ^[_a-z0-9-]+ (.[_a-z0-9-]+) * @[a-z0-9-]+ (.[a-z0-9-]+) * (.[a-z]{2,3}) $ / ‘, $ correo electr贸nico);

(@ronalfy)

Hace 2 a帽os, 10 meses

Como mencion贸 @fluiditystudio, el cambio es trivial. 驴Aceptas PR?

El problema es que estamos intentando pasar a PHP7 y este plugin es uno de los obst谩culos.

(@fluidezstudio)

Hace 2 a帽os, 10 meses

@ronalfy: creo que este plugin terminar谩, ya que no se ha actualizado en 11 meses y el autor no responde a nada en los hilos de soporte. Supongo que se dieron por vencidos con este plugin. Por ahora, cambi茅 el c贸digo del plugin a lo que mencion茅 anteriormente. Esto fue causado por mi error de PHP 7.

Esta respuesta fue modificada hace 2 a帽os, 10 meses por.

(@katzwebdesign)

Hace 2 a帽os, 7 meses

隆Esto ya est谩 arreglado, gracias!

驴Solucion贸 tu problema??

0 / 0

Deja una respuesta 0

Tu direcci贸n de correo electr贸nico no ser谩 publicada. Los campos obligatorios est谩n marcados con *